# Get configs

`GET /v1/operations/configs`

Available as MCP tool `get-configs` (Read).

Config endpoints allow you to review metadata of available Redox base configs and related source links. [Learn about mapping operations](https://docs.redoxengine.com/permalink/Wxms74JvgjSCtaPnJdNFD/#mapping-and-modifying-operations).

Base configs can be linked to sources within your Redox organization to convert a payload from a one data format to the appropriate Redox data model or FHIR resource.

Anyone in a Redox organization can view metadata of base configs and source links. However, only a Redoxer can view or modify the content of base configs, and only a user assigned to an engineer or support role can manage source links. 

You can:

- retrieve a list of available base configs;
- retrieve a list of links attached to a source;
- create base config links to sources;
- update base config links to sources; or
- delete base config links to sources.

### Get configs

Retrieve metadata of all available Redox base configs. 

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `sourceOrDestination` | query | string | No | Indicates whether the base config is applied to the source or destination side of the exchange. |
| `dataModel` | query | string | No | Describes which data model the base config is built from. In other words, this is the data model that serves as the starting point for the base config. |
| `translatedDataFormat` | query | string | No | Describes the format of the data, depending on whether the base config is applied at the source or destination. For source base configs, this is the format of the inbound data before applying the base config. For destination base configs, this is the format that the data is translated to after applying the base config. |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/operations/configs' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

Contains a payload object with a list of base configs.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No | Contains an array of base configs. |
| `payload.configs` | Array of object | No |  |
| `payload.configs[].id` | string | No | Contains the unique identifier of the base config. |
| `payload.configs[].sourceOrDestination` | string | No | Indicates whether the base config is applied to the source or destination side of the exchange. Possible values: source, destination |
| `payload.configs[].dataModel` | string | No | Describes which data model the base config is built from. In other words, this is the data model that serves as the starting point for the base config. |
| `payload.configs[].name` | string | No | Displays the human-readable name of the base config. |
| `payload.configs[].translatedDataFormat` | string | No | Describes the format of the data, depending on whether the base config is applied at the source or destination. For source base configs, this is the format of the inbound data before applying the base config. For destination base configs, this is the format that the data is translated to after applying the base config. Possible values: HL7v2, JSON, X12, X12v2, XML Builder, XML (to JSON) |
| `payload.configs[].latestVersion` | string (uuid) | No | Contains the unique identifier of the latest published version of this base config. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "configs": [
      {
        "id": "f3a7e122-8e10-4e40-b8d2-6151a2e5583d",
        "sourceOrDestination": "source",
        "dataModel": "PatientAdmin",
        "name": "Redox Patient Admin Config",
        "translatedDataFormat": "JSON",
        "latestVersion": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
      }
    ]
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
